Update team metadata
curl --request PUT \
--url https://api.getcortexapp.com/api/v1/teams \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cortexTeam": {
"members": [
{
"email": "<string>",
"name": "<string>",
"notificationsEnabled": true,
"roles": [
{
"tag": "<string>",
"type": "<string>",
"source": "<string>"
}
],
"description": "<string>",
"role": {
"tag": "<string>",
"type": "<string>",
"source": "<string>"
}
}
]
},
"type": "<string>",
"links": [
{
"name": "<string>",
"type": "<string>",
"url": "<string>",
"description": "<string>"
}
],
"metadata": {
"name": "<string>",
"description": "<string>",
"summary": "<string>"
},
"slackChannels": [
{
"name": "<string>",
"notificationsEnabled": true,
"description": "<string>"
}
]
}
'import requests
url = "https://api.getcortexapp.com/api/v1/teams"
payload = {
"cortexTeam": { "members": [
{
"email": "<string>",
"name": "<string>",
"notificationsEnabled": True,
"roles": [
{
"tag": "<string>",
"type": "<string>",
"source": "<string>"
}
],
"description": "<string>",
"role": {
"tag": "<string>",
"type": "<string>",
"source": "<string>"
}
}
] },
"type": "<string>",
"links": [
{
"name": "<string>",
"type": "<string>",
"url": "<string>",
"description": "<string>"
}
],
"metadata": {
"name": "<string>",
"description": "<string>",
"summary": "<string>"
},
"slackChannels": [
{
"name": "<string>",
"notificationsEnabled": True,
"description": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
cortexTeam: {
members: [
{
email: '<string>',
name: '<string>',
notificationsEnabled: true,
roles: [{tag: '<string>', type: '<string>', source: '<string>'}],
description: '<string>',
role: {tag: '<string>', type: '<string>', source: '<string>'}
}
]
},
type: '<string>',
links: [{name: '<string>', type: '<string>', url: '<string>', description: '<string>'}],
metadata: {name: '<string>', description: '<string>', summary: '<string>'},
slackChannels: [{name: '<string>', notificationsEnabled: true, description: '<string>'}]
})
};
fetch('https://api.getcortexapp.com/api/v1/teams', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cortexTeam": {
"members": [
{
"email": "<string>",
"name": "<string>",
"notificationsEnabled": true,
"roles": [
{
"tag": "<string>",
"type": "<string>",
"source": "<string>"
}
],
"description": "<string>",
"role": {
"tag": "<string>",
"type": "<string>",
"source": "<string>"
}
}
]
},
"catalogEntityTag": "<string>",
"id": "<string>",
"isArchived": true,
"links": [
{
"name": "<string>",
"type": "<string>",
"url": "<string>",
"description": "<string>"
}
],
"metadata": {
"name": "<string>",
"description": "<string>",
"summary": "<string>"
},
"slackChannels": [
{
"name": "<string>",
"notificationsEnabled": true,
"description": "<string>"
}
],
"teamTag": "<string>",
"type": "<string>"
}{
"message": "<string>",
"type": "INTEGRATION_MISSING",
"details": "<string>",
"errorCode": "<string>",
"gatewayHttpStatus": 123,
"httpStatus": 123,
"requestId": "<string>"
}{
"message": "<string>",
"type": "INTEGRATION_MISSING",
"details": "<string>",
"errorCode": "<string>",
"gatewayHttpStatus": 123,
"httpStatus": 123,
"requestId": "<string>"
}{
"status": 429,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"instance": "<string>",
"retryAfter": 1
}Update team metadata
Warning: This API should only be used if your team identifier contains non-alphanumeric characters. Otherwise, use the standard API under Teams.
PUT
/
api
/
v1
/
teams
Update team metadata
Authorizations
All requests to the Cortex API need to provide an Authorization: Bearer <token> header, where <token> is an API key created in the Settings page of your workspace.
Query Parameters
Body
application/json
- CORTEX
- IDP
Use this request shape when updating a team entry whose memberships are manually maintained via API or the UI.
Response
Successfully updated team
- CORTEX
- IDP
Last modified on September 29, 2026